org.eclipse.viatra.transformation.runtime.emf.transformation.eventdriven

## Class EventDrivenTransformation.EventDrivenTransformationBuilder

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.transformation.eventdriven.EventDrivenTransformation.EventDrivenTransformationBuilder

- Enclosing class:
    EventDrivenTransformation

      public static class EventDrivenTransformation.EventDrivenTransformationBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDrivenTransformationBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `addAdapter(IEVMAdapter adapter)`
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `addAdapterConfiguration(IAdapterConfiguration config)`
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `addListener(IEVMListener listener)`
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `addRule(EventDrivenTransformationRule<?,?> rule)`
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `addRules(EventDrivenTransformationRuleGroup ruleGroup)`
    `EventDrivenTransformation` | `build()`
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `setConflictResolver(ConflictResolver resolver)`
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `setQueryEngine(ViatraQueryEngine engine)`
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `setSchedulerFactory(Scheduler.ISchedulerFactory schedulerFactory)`
    `EventDrivenTransformation.EventDrivenTransformationBuilder` | `setScope(EMFScope scope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDrivenTransformationBuilder

          public EventDrivenTransformationBuilder()

  - ### Method Detail

    - #### setScope

          public EventDrivenTransformation.EventDrivenTransformationBuilder setScope(EMFScope scope)
                                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### setQueryEngine

          public EventDrivenTransformation.EventDrivenTransformationBuilder setQueryEngine(ViatraQueryEngine engine)

    - #### addAdapter

          public EventDrivenTransformation.EventDrivenTransformationBuilder addAdapter(IEVMAdapter adapter)

    - #### addListener

          public EventDrivenTransformation.EventDrivenTransformationBuilder addListener(IEVMListener listener)

    - #### addAdapterConfiguration

          public EventDrivenTransformation.EventDrivenTransformationBuilder addAdapterConfiguration(IAdapterConfiguration config)

    - #### setSchedulerFactory

          public EventDrivenTransformation.EventDrivenTransformationBuilder setSchedulerFactory(Scheduler.ISchedulerFactory schedulerFactory)

    - #### setConflictResolver

          public EventDrivenTransformation.EventDrivenTransformationBuilder setConflictResolver(ConflictResolver resolver)

    - #### addRule

          public EventDrivenTransformation.EventDrivenTransformationBuilder addRule(EventDrivenTransformationRule<?,?> rule)

    - #### addRules

          public EventDrivenTransformation.EventDrivenTransformationBuilder addRules(EventDrivenTransformationRuleGroup ruleGroup)

    - #### build

          public EventDrivenTransformation build()
                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`